global_costmap:
  map_topic: map #map_for_costmap
  global_frame: map
  robot_base_frame: base_footprint
  update_frequency: 1.0
  publish_frequency: 1.0
  transform_tolerance: 1.0
  always_send_full_costmap: false
  rolling_window: false
  resolution: 0.1
  
  plugins:
    - {name: static_layer, type: "costmap_2d::StaticLayer"}
    - {name: inflater_layer, type: "costmap_2d::InflationLayer"}
  
  static_layer:
    map_topic: map
    subscribe_to_updates: true
    lethal_cost_threshold: 50
    track_unknown_space: false
  
  inflater_layer:
    inflation_radius: 2.0
    cost_scaling_factor: 5.0
